*********************************************************************
* De lintrt de la rgression multi-niveaux en politique compare
* Damien Bol
* Revue Internationale de Politique Compare
*********************************************************************


****************************************
* Analyses la base de donnes "Vote PS"*
****************************************

*** 1. Description des variables:

* - ID : numro d'identification du rpondant (1  100)
* - ouvrier : Appartenance  la classe ouvrire du rpondant (1=Oui; 0=Non)
* - voteps : Vote du rpondant  la dernire lection (1=PS; 0=Autre parti)
* - syndicat : Appartenance du rpondant  un syndicat (1=Oui; 0=Non)
* - belgique : Nationalit du rpondant (1=Belge; 0=Autre nationalit)
* - allemagne : Nationalit du rpondant (1=Allemagne; 0=Autre nationalit)
* - autregauche : Prsence d'un autre parti  gauche sur l'chiquier politique (1=Oui; 0=Non; variable macro)

*** 2. Rgressions simples (Belgique uniquement)

* Avec une seule variable explicative
logit voteps ouvrier if belgique==1, or

* Avec plusieurs variables explicatives
logit voteps ouvrier syndicat if belgique==1, or

*** 3. Rgressions multiniveaux (Belgique et Allemagne)

* Spcifier la base de donne
xtset allemagne

* Rgression  effets fixes
xtlogit voteps ouvrier, fe or

* Rgression  effets alatoires
xtlogit voteps ouvrier autregauche, re or




******************************************
* Analyses la base de donnes "Candidats"*
******************************************

*** 1. Description des variables:

* - ID : numro d'identification du candidats (1  20)
* - couverture : Couverture mdiatique du candidat lors de la campagne (en heure)
* - score : Score du candidat  l'lection (en % de voix)
* - gouvernement : Appartenance du candidat au gouvernement sortant (1=Oui; 0=Non)
* - france : Pays dans lequel le candidat participe  l'lection (1=France; 0=Autre pays)
* - usa : Pays dans lequel le candidat participe  l'lection (1=USA; 0=Autre pays)
* - illimite  : Prsence d'un systme o les financements des candidats sont illimits (1=Oui; 0=Non; variable macro)


*** 2. Rgressions simples (France uniquement)

* Avec une seule variable explicative
reg score couverture if france==1

* Avec plusieurs variables explicatives
reg score couverture gouvernement if france==1

**** 3. Rgressions multiniveaux (Belgique et Allemagne)

* Spcifier la base de donne
xtset usa

* Rgression  effets fixes
xtreg score couverture, fe

* Rgression  effets alatoires
xtreg score couverture illimite, re
